/*********************VARIABLES*********************/

:root{
   /* --color0: #ffffff;*/
    
}

/*background: bg-color bg-image position/bg-size bg-repeat bg-origin bg-clip bg-attachment initial|inherit;*/

/*********************ESTILOS*********************/

/*Generales*/

html{
    background: rgb(2,0,36);
    background: linear-gradient(0deg, rgba(173,173,178,1) 0%, rgba(218,219,224,1) 30%) no-repeat; 
}

body{
    min-height: 100vh;
    width: 100vw;
    overflow-x: hidden;
    background: url("../img/plant.png") no-repeat bottom left;
    background-size: 20%;
}

footer{
    
   }
   
   footer img{
           max-height: 60px;
   }

.progreso{
    background-color: var(--color2);
    height: 8px;
    width: 0;
}

/*Flechas de navegación*/

.flechaIzquierda, .flechaDerecha{
    position: absolute;
    top: 50%;
    font-size: 2em;
    cursor: pointer;
    transition: all ease .3s;
    z-index: 5000;
}

.flechaIzquierda:hover, .flechaDerecha:hover{
    transform: scale(1.5,1.5);
}

.flechaIzquierda{
    left: 10px;
}
.flechaDerecha{
    right: 10px;
}


/*Menú de navegación*/

nav {
    display: block;
    width: 100vw;
    height: 100vh;
    position: fixed;
    left: -110%;
    background-color: rgba(255, 255, 255, 0.96);
    text-align: center;
    padding: 50px;
    overflow-y: auto;
    overflow-x: hidden;
    z-index: 10000;
}

nav ul {
    list-style: none;
    width: 100vw;
    margin: 4em 0 0 -75px;
}

nav li a {
    display: block;
    width: 100%;
    padding: 0.5em 1em 0.3em;
    text-decoration: none;
    text-align: center;
    color: var(--gris1);
    border-bottom: solid 1px var(--color5);
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
}

nav li a:hover {
    background-color: rgba(0, 0, 0, 0.5);
    color: #fff;
    text-decoration: none;
}

nav a {
    cursor: pointer;
}

/******Botón abrir menú*****/
.menu{
    transition: all ease .3s;
    cursor: pointer;
}
.menu:hover{
    transform: scale(1.25,1.25);
}
/******Botón cerrar menú*****/
    .cierra-menu{
        position: absolute;
        right: 1em;
        top: 1em;
        transition: all .3s ease;
    }

    .cierra-menu span{
        font-size: 1.75em;
        margin-left: .25em;
        font-weight: 400;
    }
    
    .cierra-menu:hover{
        cursor: pointer;
        transform: scale(1.1);
    }

.cierra-menu i{
        font-size: 2em;
    }

/****Contenedor principal****/

#contenidos {
    display: flex;
    flex-flow: column;
    justify-content: center;
}

main{
    flex-grow: 1;
}

/*Paginador*/

.paginador p{
    margin: 0 0 0.5em 0;
    font-weight: 600;
    padding: 0.25em 0;
}

.paginador{
    margin-bottom: .5em
}

.paginador span:nth-child(1){
        font-weight: bold;
}


.paginador2{
    border: 1px solid #fff;   
    border-radius: 5px;
    padding: 0 .5em;
}

.paginador2 p{
    color: var(--color1);
    background-color: rgba(255,255,255,1);
    font-size: .85em;
    margin: 0;
}

.paginador2 div{
    display: flex;
    justify-content: center;
    align-items: center;
}

.paginador2 div span:first-child{
    font-size: 2em;
    margin-right: .25em;
}

.paginador2 div span:nth-child(2){
    margin-left: .25em;
}

/*Alineaciones y márgenes*/

.reflejo-h{
    -moz-transform: scaleX(-1);
    -o-transform: scaleX(-1);
    -webkit-transform: scaleX(-1);
    transform: scaleX(-1);
    -ms-filter: "FlipH";
    filter: FlipH;
}

.reflejo-v{
    -moz-transform: scaleY(-1);
    -o-transform: scaleY(-1);
    -webkit-transform: scaleY(-1);
    transform: scaleY(-1);
    -ms-filter: "FlipV";
    filter: FlipV;
}

.hr-vertical{
    margin: 0 auto -1rem auto;
    padding: 0;
}


.hr-vertical:before{
    content: "│";
    
}

blockquote{
	background-color: var(--color4);
	padding: 1em;
	border-radius: 20px;
	border: solid 2px var(--color1);
	color: var(--color0);
}

blockquote p::before{
	content: '\f10d';
	font-family: FontAwesome;
	position: relative;
	top: -.25em;
	color: color: var(--color1);
	margin-right: .5rem;
	
}
blockquote p::after{
	content: '\f10e';
	font-family: FontAwesome;
	position: relative;
	top: -.25em	;
	color: color: var(--color1);
	margin-left: .5rem
}

blockquote cite{
	display: block;
	text-align: right;
}

ul.lista{
	text-align: left;
	font-size: 1.2em;
}

ul.lista{
	list-style-type: none;
}


ul.lista h3::before{
	content: '\f059';
	font-family: FontAwesome;
	position: relative;
	top: .2em;
	display: inline-block;
	color: color: var(--color2);
	right: .25em;
	font-size: 2em;
	
}

ul.lista li::before {
    /*
	content: "•";
    */
    content: '\f111';
	font-family: FontAwesome;
	color: var(--color1);
	position: relative;
	right: .7em;
	font-size: .6em;
	top: -.175em;
	line-height: .75em;	
}

.info ul.lista li::before {
	 content: '\f111';
	font-family: FontAwesome;
	color: var(--color0);
	position: relative;
	right: .7em;
	font-size: .6em;
	top: -.175em;
	line-height: .75em;	
}

.ui-accordion-content ul.lista, .ui-accordion-content ol.lista{
	text-align: left;
	font-size: 1.05em;
}

ol{
	text-align: left;
}

ol.lista {
	counter-reset: li;
	list-style: none;
	font-size: 1.2em;
}
ol.lista > li:before {
	counter-increment: li;
	content: counter(li) '.';
	color: var(--color1);
	font-size: 1.2em;
	margin-right: .25em;
}


/*Modal*/

#modal{
    position: fixed;
    z-index: 90000;
    background-color: rgba(0,0,0,.96);
    width: 100vw;
    height: 100vh;
    top: 0;
    left: 0;
    animation-duration: .5s;
    display: none;
	color: #fff;
}

#modal > #content-modal{
	display: flex;
	justify-content: center;
	align-items: center;
	height: 100vh;
	width: 100%;
	padding: 4rem;
	position: relative;
	top: -5rem; margin: auto;
}

#modal > #close-modal{
    position: relative;
    top: 2em;
    right: 2em;
    cursor: pointer;
    display: inline-block;
    float: right; 
    background-color: var(--color0);
    border-radius: 50%;
    height: 3.25em;
    width: 3.25em;
    text-align: center;
    transition: all .25s ease .25s;
	color: var(--gris1);
	z-index: 90001;
	border: solid 2px var(--gris1);
}

#modal > #close-modal i{
    font-size: 3em;
}

#modal > #close-modal:hover{
    transform: rotate(90deg);
}

#modal > #content-modal ul{
	font-size: 1.2rem;
}





/**********Popup********/
.pop-up{
    position: absolute;
    top: 30%;
    left: 20%;
    display: none;
	background-color: var(--color1);
	width: 60% !important;
    height: auto;
	color: #fff !important;
	min-height: 30%;
	max-height: 60%;
}

.pop-up h3{
	color: #fff;
	font-size: 2rem
}

.content-pop{
    
    overflow-x: hidden;
    overflow-y: auto;
    padding: 2em;
    border-radius: 1em;
}

.pop-up .close-pop{
    font-size: 2.5rem;
    cursor: pointer;
    z-index: 1;
    -color: var(--gris1);
    float: right;
    position: relative;
    top: .5rem;
	right: .5rem;
    background-color: #fff;
    border-radius: 50%;
    width: 1.2em;
    height: 1.2em;
    padding: 0;
    text-align: center;
    transition: all .3s ease;
	color: var(--gris1) !important;
}

.pop-up .close-pop i{
    position: relative;
    top: -.15em;
}

.pop-up .close-pop:hover{
    transform: rotate(90deg);
}


/*****Modal PDF*****/

.pdf{
    border: 13px solid #fff;
    margin-top: 1.5em;
}

object.pdf{
	width: 100vw;
	
}

object.pdf > data{
	width: 80vw;
	
}


/*-- Tabla de contenidos --*/

.item-menu{
    cursor: pointer;
    transition: all ease .3s;
    font-size: 1.1em;
}

.item-menu:hover{
    transform: scale(1.05,1.05);
}

/*--Créditos--*/

.creditos{
    
}

.creditos img{
    max-height: 50vh;
}

.creditos h2{
    margin-top: .5em;
}

.creditos p{
    color: var(--gris1);
}

